petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchView

Prints information about the TaoLineSearch

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchView(TaoLineSearch ls, PetscViewer viewer)

Collective on TaoLineSearch Many br

### InputParameters

| ls | - the Tao context Many br
| viewer | - visualization context Many br

### Options Database Key

-tao_ls_view -Calls TaoLineSearchView() at the end of each line search Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

Many br

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages